#ifndef _PURENETWORK_ITHREAD_H
#define _PURENETWORK_ITHREAD_H

#include "IEventReceiver.h"

// Thread Class

namespace pun
{
	namespace socket
	{
		// Define prototypes
		class ISocket;

		// Define class
		class IThread : public IEventReceiver
		{
		public:

			// Constructor
			IThread()
			{

			}

			// Destructor
			virtual ~IThread()
			{

			}

			// Accept function
			virtual RESULT acceptThread(ISocket *pSocket) = 0;

			// Worker function
			virtual RESULT workerThread(ISocket *pSocket) = 0;
		};
	};
};

#endif