#ifndef _PURENETWORK_PUN_DATA_TYPES_H
#define _PURENETWORK_PUN_DATA_TYPES_H

// Defining Data Types header
//
// This header is for compatible each OS.

namespace pun
{
	// 8bits signed type
#ifndef s8
	typedef signed char			s8;
#endif

	// 8bits unsigned type
#ifndef u8
	typedef unsigned char		u8;
#endif

	// 6bits type
#ifndef c8
	typedef	char				c8;
#endif

	// 16bits signed type
#ifndef s16
	typedef signed short		s16;
#endif

	// 16bits unsigned type
#ifndef u16
	typedef unsigned short		u16;
#endif

	// 16bits type
#ifndef c16
	typedef short				c16;
#endif

	// 32bits signed type
#ifndef s32
	typedef signed int			s32;
#endif

	// 32bits unsigned type
#ifndef u32
	typedef unsigned int		u32;
#endif

	// 32bits type
#ifndef c32
	typedef int					c32;
#endif

	// 32bits float type
#ifndef f32
	typedef float				f32;
#endif

	// 64bits float type
#ifndef f64
	typedef float				f64;
#endif

#ifndef RESULT
	// return type
	typedef s32					RESULT;
#endif	
};

#endif