#ifndef _PURENETWORK_PUN_RESULT_CODE_H
#define _PURENETWORK_PUN_RESULT_CODE_H

// Defined PureNetwork Result Code Header
//
// This file has many result code using when function returns error.

namespace pun
{
	// for Redefine
#ifdef S_OK
#undef S_OK
#endif
#ifdef E_FAIL
#undef E_FAIL
#endif

	enum E_RESULT_CODE
	{
		// Success
		S_OK = 0,

		// Fail
		E_FAIL,

		// Memory is not enough
		E_MEM_NOT_ENOUGH,
	};
};

#endif