#ifndef _PURENETWORK_CNULL_THREAD_H
#define _PURENETWORK_CNULL_THREAD_H

#include "PureNetwork.h"
#include "IThread.h"

// PureNetwork Null Thread Class

namespace pun
{
	namespace socket
	{
		class CNullThread : public IThread
		{
		public:

			// Constructor
			CNullThread(E_THREAD_TYPE threadType);

			// Destructor
			virtual ~CNullThread();

			// Accept function
			RESULT acceptThread(ISocket *pSocket);

			// Worker function
			RESULT workerThread(ISocket *pSocket);

		private:

			// Thread type
			E_THREAD_TYPE m_threadType;
			
			// Thread state
			E_THREAD_STATE m_threadState;
		};
	};
};

#endif