#ifndef _PURENETWORK_CWINSOCK2_SOCKET_H
#define _PURENETWORK_CWINSOCK2_SOCKET_H

#include "PureNetwork.h"
#include "CNullSocket.h"
#include "CWinsock2Connection.h"

// Socket header for Winsock2

#ifdef _INCLUDE_WINSOCK2

namespace pun
{
	namespace socket
	{
		class CWinsock2Socket : public CNullSocket
		{
		public:

			// Constructor
			CWinsock2Socket();

			// Destructor
			virtual ~CWinsock2Socket();

			// Create connection
			IConnection *createConnection(IConnection **pConnection)
			{
				return ((*pConnection) = new CWinsock2Connection);
			}

		protected:


		};
	};
};

#endif

#endif