#include "PureNetwork.h"
#include "CWin32PureNetworkDevice.h"

namespace pun
{

#ifdef _WIN32
	// Create PureNetwork for windows 32bits.
	PURENETWORK_API IPureNetworkDevice* __stdcall createPureNetworkDeviceWin32(E_NETWORK_DRIVER_TYPE driverType)
	{
		IPureNetworkDevice *pDevice = new core::CWin32PureNetworkDevice;
		if(ASSERT_LOG(SUCCEEDED(pDevice->initDriver(driverType)), "Failed to create PureNetwork Device."))
		{
			// Release device.
			pDevice->release();
			return 0;
		}
			
		return pDevice;
	}
#endif

};